Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class MQVPublicParameters

    java.lang.Object
      org.bouncycastle.crypto.params.MQVPublicParameters

All Implemented Interfaces:
  CipherParameters

    public class MQVPublicParameters

extends java.lang.Object
implements CipherParameters

Constructor Summary
`MQVPublicParameters(ECPublicKeyParameters staticPublicKey, ECPublicKeyParameters ephemeralPublicKey)`

Method Summary
`ECPublicKeyParameters` | `getEphemeralPublicKey()`
`ECPublicKeyParameters` | `getStaticPublicKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MQVPublicParameters

    public MQVPublicParameters(ECPublicKeyParameters staticPublicKey,
                               ECPublicKeyParameters ephemeralPublicKey)

Method Detail

### getStaticPublicKey

    public ECPublicKeyParameters getStaticPublicKey()

### getEphemeralPublicKey

    public ECPublicKeyParameters getEphemeralPublicKey()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD